/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.common.db.Pagination;
import net.northking.cctp.common.http.QueryByPage;
import net.northking.cctp.scriptcase.db.entity.LibraryBusComInfo;
import net.northking.cctp.scriptcase.dto.comLib.LibraryBusComInfoDetailDto;
import net.northking.cctp.scriptcase.dto.comLib.LibraryBusComInfoQueryDto;

import java.util.List;

/**
 * 业务组件库组件列表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-12-06 10:53:48  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface LibraryBusComInfoService extends BasicService<LibraryBusComInfo>
{
    int queryCountByTreeCom(LibraryBusComInfo checkCount);

    List<String> checkRepeatName(String projectId,List<String> nameList, String treeId);

    Pagination<LibraryBusComInfoDetailDto> pagingQueryNew(QueryByPage<LibraryBusComInfoQueryDto> queryByPage);

    String updateByIdList(LibraryBusComInfo info, List<String> ids);

    List<LibraryBusComInfoDetailDto> queryComListByType(LibraryBusComInfo comQuery, List<Integer> types);

    List<String> selectCreator();
}
