package net.northking.cctp.scriptcase.dto.caseset;

import lombok.Data;
import net.northking.cctp.scriptcase.dto.sceneScript.ResNodeInfoDto;

import java.util.List;
import java.util.Map;

@Data
public class AtuCaseSetRabbitDto {

    private String queueName;

    private List<String> caseSets;

    /**
     * 租户ID
     */
    private String tenantId;
    /**
     * 系统ID
     */
    private String projectId;
    /**
     * 计划ID
     */
    private String planId;
    /**
     * 批次ID
     */
    private String batchId;

    private String taskId;

    /**
     * 应用设置;1-清除数据，2-卸载安装
     */
    private String appSet;
    /**
     * 录屏设置;0-不保存，1-全部保存，2-出错保存
     */
    private String screenRecordSet;
    /**
     * 截图设置;0-不保存，1-全部保存，2-出错保存
     */
    private String screenshotSet;
    /**
     * 优先级;0-低，1-高
     */
    private String priority;
    /**
     * 失败重试次数
     */
    private Integer failRetryCount;

    private String caseId;

    private String caseName;

    private String caseNo;

    private String caseType;

    private Map<String,String> caseParam;

    private String scriptId;

    private String scriptName;

    private String scriptPath;

    private String platformType;

    private String appPackage;

    private ResNodeInfoDto sceneNodeExecDto;

    private int deleted;
}
