package net.northking.cctp.scriptcase.dto.sceneScript;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@JsonSerialize
@ApiModel(description = "返回执行计划执行信息")
public class ResNodeInfoDto implements Serializable {
    @ApiModelProperty("计划执行任务号")
    public String taskId;

    @ApiModelProperty("用例Id")
    public String caseId;

    @ApiModelProperty("脚本Url")
    public String sceneScriptUrl;

    @ApiModelProperty("执行节点信息")
    public ResNodeInfo nodeInfo;

    private Boolean end = false;

    @ApiModelProperty("下一执行节点描述信息")
    public  String message;
}
