package net.northking.cctp.upperComputer.driver.ios.command.data;


import net.northking.cctp.upperComputer.driver.ios.packet.ICommandData;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

public class TapXYData implements ICommandData {
    public int x;
    public int y;

    public int xOriginal;
    public int yOriginal;

    public Integer widthOriginal;
    public Integer heightOriginal;

    public int getX() {
        return x;
    }

    public void setX(int x) {
        this.x = x;
    }

    public int getY() {
        return y;
    }

    public void setY(int y) {
        this.y = y;
    }

    public int getXOriginal() {
        return xOriginal;
    }

    public void setXOriginal(int xOriginal) {
        this.xOriginal = xOriginal;
    }

    public Integer getYOriginal() {
        return yOriginal;
    }

    public void setYOriginal(Integer yOriginal) {
        this.yOriginal = yOriginal;
    }

    public Integer getHeightOriginal() {
        return heightOriginal;
    }

    public void setHeightOriginal(Integer heightOriginal) {
        this.heightOriginal = heightOriginal;
    }

    public Integer getWidthOriginal() {
        return widthOriginal;
    }

    public void setWidthOriginal(Integer widthOriginal) {
        this.widthOriginal = widthOriginal;
    }

    @Override
    public void buildFromInput(DataInput dataInput) throws IOException {
        x = dataInput.readInt();
        y = dataInput.readInt();
    }

    @Override
    public void encodeToOutput(DataOutput dataOutput) throws IOException {
        dataOutput.writeInt(x);
        dataOutput.writeInt(y);
    }


}
