DROP TABLE IF EXISTS `project_overall_gantt_chart`;

CREATE TABLE `project_overall_gantt_chart` (
  `id` varchar(50) COLLATE utf8mb4_bin NOT NULL,
  `project_id` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '项目id',
  `project_name` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '项目名称',
  `start_time` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '项目开始时间',
  `end_time` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '项目结束时间',
  `interval_days` int(11) DEFAULT NULL COMMENT '项目开始时间距离当天的日期',
  `cur_time` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '当前时间',
  `tenant_id` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='项目总体甘特统计图';

