/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.dao;

import net.northking.cctp.dw.db.entity.SynBugInfo;
import net.northking.cctp.dw.db.mapper.BugGradeStatisticsMapper;
import net.northking.cctp.dw.dto.BugGradeStatisticsDetailDto;
import net.northking.cctp.dw.dto.ChartDataGeneQueryDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：缺陷严重程度统计图
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-15 14:58:27  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface BugGradeStatisticsDao extends BugGradeStatisticsMapper
{
    List<BugGradeStatisticsDetailDto> listQuery(ChartDataGeneQueryDto chartDataGeneQueryDto);

    void insertBatch(@Param("dataList") List<SynBugInfo> dataList,@Param("tenantId") String tenantId);

    void deleteData(@Param("dataList") List<SynBugInfo> dataList,@Param("tenantId") String tenantId );

    // ----      The End by Generator     ----//

}
