/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.dao;

import net.northking.cctp.dw.db.entity.DwManualExecJob;
import net.northking.cctp.dw.db.entity.MtCaseNonExec;
import net.northking.cctp.dw.db.mapper.MtCaseNonExecMapper;
import org.springframework.stereotype.Repository;

/**
 * Mybatis数据库持久层（业务层）：未执行状态数据统计
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2023-04-20 16:02:50  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface MtCaseNonExecDao extends MtCaseNonExecMapper
{
    Integer deleteByExampleByProjectIds(MtCaseNonExec mtCaseNonExec);

    Integer syncExecTendencyNotice(DwManualExecJob dwManualExecJob);


}
