/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.dw.db.entity.DwManualExecJob;
import net.northking.cctp.dw.db.entity.MtCaseExecTrendChart;
import net.northking.cctp.dw.dto.ChartDataGeneQueryDto;
import net.northking.cctp.dw.dto.MtCaseExecTrendChartDetailDto;

import java.util.List;

/**
 * 用例执行趋势图
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-17 12:02:41  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
public interface MtCaseExecTrendChartService extends BasicService<MtCaseExecTrendChart> {

    void deleteAll();

    List<MtCaseExecTrendChartDetailDto> listQuery(ChartDataGeneQueryDto chartDataGeneQueryDto);

    Integer syncExecTendencyNotice(DwManualExecJob dwManualExecJob);

    Integer deleteByExampleByProjectIds(MtCaseExecTrendChart mtCaseExecTrendChart);
}
