package net.northking.cctp.dw.dto.atu;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class DwAtuScriptExecutionDataDto {
    private String snowWolfName;

    private String name;

    private String companyName;

    private String testGroup;

    private String testGroupLeader;

    private String managerId;

    @ApiModelProperty(value = "系统")
    private String projectName;

    private String scriptType;

    @ApiModelProperty(value = "执行总次数")
    private Integer totalSum;

    @ApiModelProperty(value = "执行失败总次数")
    private Integer failNum;

    @ApiModelProperty(value = "执行成功总次数")
    private Integer successNum;


    private String successRate;

    private String tasktTime;

}
