/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.platform.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.common.db.Pagination;
import net.northking.cctp.common.http.QueryByPage;
import net.northking.cctp.platform.db.entity.CpComponentList;
import net.northking.cctp.platform.dto.comlibrary.CpComLibraryTree;
import net.northking.cctp.platform.dto.comlibrary.CpComponentListDetailDto;
import net.northking.cctp.platform.dto.comlibrary.CpComponentListQueryDto;

import java.util.List;

/**
 * 组件清单
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-08-29 10:24:48  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface CpComponentListService extends BasicService<CpComponentList>
{
    List<CpComLibraryTree> queryComListTree(CpComponentList query);


    Pagination<CpComponentListDetailDto> pagingQueryNew(QueryByPage<CpComponentListQueryDto> queryByPage);

    List<CpComponentList> queryRecordList(CpComponentList entity);
}
