/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dataPool.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.dataPool.db.entity.DataRule;

/**
 * Mybatis数据库持久层（底层）：数据规则表
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2022-10-24 16:58:38  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface DataRuleMapper extends BasicDao<DataRule>
{
  String EntityName = "DataRule";

  String COLUMN_ruleId = "rule_id";
  String COLUMN_name = "name";
  String COLUMN_type = "type";
  String COLUMN_contentExpression = "content_expression";
  String COLUMN_jarIds = "jar_ids";
  String COLUMN_proId = "pro_id";
  String COLUMN_tenantId = "tenant_id";
  String COLUMN_createdBy = "created_by";
  String COLUMN_createdTime = "created_time";
  String COLUMN_updatedBy = "updated_by";
  String COLUMN_updatedTime = "updated_time";

}
