/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.dao;

import net.northking.cctp.executePlan.db.entity.AtuPlanAppLink;
import net.northking.cctp.executePlan.db.mapper.AtuPlanAppLinkMapper;
import org.springframework.stereotype.Repository;

/**
 * Mybatis数据库持久层（业务层）：计划应用关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-12-06 17:37:23  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface AtuPlanAppLinkDao extends AtuPlanAppLinkMapper
{
    /**
     * 查询应用ID
     * @param planAppLink 参数
     * @return 应用ID
     */
    String queryAppId(AtuPlanAppLink planAppLink);

    void deleteAppByPlanId(String planId);

}
