package net.northking.cctp.executePlan.feign;

import com.hzbank.testteam.autotest.dependencies.baseDefineDependency.dto.RequestDTO;
import net.northking.cctp.common.feign.FeignCctpConfig;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(contextId = "apiMixHandleService", value = "common-center", path = "/common-center/api/mix-handler", configuration = {FeignCctpConfig.class})
public interface ApiMixHandlerService {
    /**
     * 获取各类基础信息数据
     *
     * @return 数据集合
     */
    @PostMapping("/get")
    List<Object> getMixData(@RequestBody List<RequestDTO> requestList);

}
