/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.testbug.db.entity.BugStatisticsChart;

/**
 * Mybatis数据库持久层（底层）：状态统计
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2021-11-23 15:54:59  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface BugStatisticsChartMapper extends BasicDao<BugStatisticsChart>
{
  String EntityName = "BugStatisticsChart";

  String COLUMN_id = "id";
  String COLUMN_receiverName = "receiver_name";
  String COLUMN_moduleId = "module_id";
  String COLUMN_type = "type";
  String COLUMN_projectId = "project_id";
  String COLUMN_bugStatus = "bug_status";
  String COLUMN_bugStatusCode = "bug_status_code";
  String COLUMN_amount = "amount";
  String COLUMN_createTime = "create_time";
  String COLUMN_tenantId = "tenant_id";

}
