package net.northking.cctp.element.core.annotation;

import net.northking.cctp.element.core.RegisterInfo;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @author fengxiang.zhang
 * @since 1.0
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface Library {

    String scanBasePackage();

    Class<? extends RegisterInfo> infoClass();
}