package net.northking.cctp.element.desktop.enums;

import com.alibaba.fastjson.JSON;
import net.northking.cctp.element.core.type.EnumClass;

import java.util.*;

/**
 * <p>Title: ScrollTimeEnum</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2023/01/30
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */

public enum ScrollTimeEnum implements EnumClass {
    /**
     * 1
     */
    _1("1", 1),
    /**
     * 2
     */
    _2("2", 2),
    /**
     * 3
     */
    _3("3", 3),
    /**
     * 4
     */
    _4("4", 4),
    /**
     * 5
     */
    _5("5", 5),
    /**
     * 6
     */
    _6("6", 6),
    /**
     * 7
     */
    _7("7", 7),
    /**
     * 8
     */
    _8("8", 8),
    /**
     * 9
     */
    _9("9", 9),
    /**
     * 10
     */
    _10("10", 10),
    /**
     * 11
     */
    _11("11", 11),
    /**
     * 12
     */
    _12("12", 12),
    /**
     * 13
     */
    _13("13", 13),
    /**
     * 14
     */
    _14("14", 14),
    /**
     * 15
     */
    _15("15", 15),
    /**
     * 16
     */
    _16("16", 16),
    /**
     * 17
     */
    _17("17", 17),
    /**
     * 18
     */
    _18("18", 18),
    /**
     * 19
     */
    _19("19", 19),
    /**
     * 20
     */
    _20("20", 20),
    /**
     * 21
     */
    _21("21", 21),
    /**
     * 22
     */
    _22("22", 22),
    /**
     * 23
     */
    _23("23", 23),
    /**
     * 24
     */
    _24("24", 24),
    /**
     * 25
     */
    _25("25", 25),
    /**
     * 26
     */
    _26("26", 26),
    /**
     * 27
     */
    _27("27", 27),
    /**
     * 28
     */
    _28("28", 28),
    /**
     * 29
     */
    _29("29", 29),
    /**
     * 30
     */
    _30("30", 30);

    private String key;

    private Integer value;

    ScrollTimeEnum(String key, Integer value){
        this.key = key;
        this.value = value;
    }

    @Override
    public String getEnumData() {
        List<Map<String,Object>> result = new ArrayList<>();
        for (ScrollTimeEnum nullEnum : EnumSet.allOf(ScrollTimeEnum.class)) {
            Map<String,Object> one = new HashMap();
            one.put("label",nullEnum.key);
            one.put("value",nullEnum.value);
            result.add(one);
        }
        return JSON.toJSONString(result);
    }
}