/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.common.log;

/**
 * http日志生产者
 *
 * @author : xiusong.xie
 * @version : 1.0
 */
public interface HttpLogProducer
{
  /**
   * 记录Http日志
   *
   * @param httpLog Http日志
   */
  void process(HttpLog httpLog);

}
