package net.northking.cctp.platform.api.login.service;

import com.hzbank.testteam.autotest.dependencies.monsterDependency.dto.TestGroupDTO;
import net.northking.cctp.platform.dto.user.UserInfoFeignDto;

/**
 * 加载用户安全数据的核心接口。
 * 它作为用户DAO在整个框架中使用，也是DaoAuthenticationProvider使用的策略。
 * 该接口只需要一个只读方法，这简化了对新数据访问策略的支持。
 *
 * @author xiusong.xie
 * @since 1.0
 */
public interface UserLoginService
{

  UserInfoFeignDto getUserInfo(String userId);


  TestGroupDTO getPlanTeamInfo(String userId);

}
