drop table if exists clt_sys_dict_item;

CREATE TABLE `clt_sys_dict_item` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '主键ID',
  `idx` int(11) NOT NULL COMMENT '序号',
  `item_code` varchar(30) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '字典条目代码',
  `item_name` varchar(255) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '字典条目名称',
  `catalog_id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '字典类型ID',
  `dict_local` varchar(20) COLLATE utf8mb4_bin NOT NULL DEFAULT 'zh_CN' COMMENT '语言地区',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='系统类型字典条目';