drop table if exists saas_tenant_admin;

CREATE TABLE `saas_tenant_admin` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '主键',
  `tenant_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '租户id',
  `admin_login_no` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '管理员登录名',
  `user_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '管理员id',
  `created_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改人',
  `updated_time` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='租户管理员关联表';

